# Make sure the arguments from the user defines a proper bounding box
BEGIN {
   if (nw_lon == se_lon ||
       nw_lat <= se_lat) {
      print "Error: Please make sure the bounding box has positive size." > \ 
         "/dev/stderr";
      exit 1
   }
}

# Simply print lines with fewer than 2 columns, or where column 1 is non-numeric
NF < 2 || $1 != $1+0 { print $0 }

# For other lines, only print those within the bounding box
NF >= 2 && $1 == $1+0 && $2 == $2+0 {
   lon=$1
   lat=$2

   # Regular case, no wrap around
   if (nw_lon < se_lon) {
      if (lon >= nw_lon && lon <= se_lon && lat <= nw_lat && lat >= se_lat) {
         print $0
      }
   }
   # Otherwise the box covers the +-180 longitude
   else {
      if ((lon >= nw_lon || lon <= se_lon) && lat <= nw_lat && lat >= se_lat) {
         print $0
      }
   }
}
